server {
    listen 80;
    listen [::]:80;
    server_name <?php echo e($domain); ?> <?php if($redirect_www): ?> www.<?php echo e($domain); ?> <?php endif; ?>;
    return 301 https://<?php echo e($domain); ?>$request_uri;
}

<?php if($redirect_www): ?>
server {
    listen 443 ssl http2;
    listen [::]:443 ssl http2;

    ssl_certificate /etc/letsencrypt/live/www.<?php echo e($domain); ?>/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/www.<?php echo e($domain); ?>/privkey.pem;

    include snippets/ssl-params.conf;
    include /etc/nginx/snippets/secure-headers.conf;

    server_name www.<?php echo e($domain); ?>;
    return 301 https://<?php echo e($domain); ?>$request_uri;
}
<?php endif; ?>

server {
    listen 443 ssl http2;
    listen [::]:443 ssl http2;

    ssl_certificate /etc/letsencrypt/live/<?php echo e($domain); ?>/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/<?php echo e($domain); ?>/privkey.pem;

    add_header Content-Security-Policy "
        default-src 'self';
        font-src 'self';
        style-src 'self';
        img-src 'self';
        base-uri 'self';
        form-action 'self';
        frame-ancestors 'self';
    ";

    <?php echo $__env->make('partials.default', ['domain' => $domain], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    
    <?php echo $__env->yieldContent('server'); ?>
}<?php /**PATH /home/test/Workspace/tentakelfabrik/mcp/resources/templates/nginx/layouts/ssl.blade.php ENDPATH**/ ?>